# OpalInternalTransport Class Reference

`#include <transports.h>`

Inheritance diagram for OpalInternalTransport:

[legend]

## Public Member Functions

virtual bool | Parse (OpalTransportAddress &address, WORD port) const =0
virtual PString | GetHostName (const OpalTransportAddress &address, bool includeService) const
virtual PBoolean | GetIpAndPort (const OpalTransportAddress &address, PIPSocket::Address &ip, WORD &port) const
virtual OpalListener * | CreateListener (const OpalTransportAddress &address, OpalEndPoint &endpoint, OpalTransportAddress::BindOptions options) const =0
virtual OpalTransport * | CreateTransport (const OpalTransportAddress &address, OpalEndPoint &endpoint, OpalTransportAddress::BindOptions options) const =0

## Member Function Documentation

virtual OpalListener* OpalInternalTransport::CreateListener | ( | const OpalTransportAddress & | address,
|  | OpalEndPoint & | endpoint,
|  | OpalTransportAddress::BindOptions | options |
| ) |  |  | const`[pure virtual]`

Implemented in OpalInternalIPTransportTemplate< ListenerType, TransportType, AltTypeOption, AltTypeClass >.

virtual OpalTransport* OpalInternalTransport::CreateTransport | ( | const OpalTransportAddress & | address,
|  | OpalEndPoint & | endpoint,
|  | OpalTransportAddress::BindOptions | options |
| ) |  |  | const`[pure virtual]`

Implemented in OpalInternalIPTransportTemplate< ListenerType, TransportType, AltTypeOption, AltTypeClass >.

virtual PString OpalInternalTransport::GetHostName | ( | const OpalTransportAddress & | address,
|  | bool | includeService |
| ) |  |  | const`[virtual]`

Reimplemented in OpalInternalIPTransport.

virtual PBoolean OpalInternalTransport::GetIpAndPort | ( | const OpalTransportAddress & | address,
|  | PIPSocket::Address & | ip,
|  | WORD & | port |
| ) |  |  | const`[virtual]`

Reimplemented in OpalInternalIPTransport.

virtual bool OpalInternalTransport::Parse | ( | OpalTransportAddress & | address,
|  | WORD | port |
| ) |  |  | const`[pure virtual]`

Implemented in OpalInternalIPTransport.

The documentation for this class was generated from the following file:

- transports.h